Bug 106250 - Window sticks to cursor after click to title bar
Window sticks to cursor after click to title bar
Status: CLOSED DUPLICATE of bug 104262
Product: Red Hat Raw Hide
Classification: Retired
Component: metacity (Show other bugs)
1.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 20:45 EDT by Ralf Ertzinger
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2003-10-03 20:45:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20030926

Description of problem:
Note: this behaviour is rare on my system, and I have not been able to reproduce
it in a useable manner.

Sometimes, when I left-click on an inactive window's title bar, the window is
raised (as expected), but on moving the mouse (with the button released) the
window follows the cursor. On clicking left again, the window is released again.
This seems to happen when I move the mouse very quickly, maybe it is triggered
by moving the mouse a little between pressing the button on the titlebar and
releasing it.

Version-Release number of selected component (if applicable):
metacity-2.6.2-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Move mouse to titlebar
2. Click left
3. Move mouse away
    

Actual Results:  Window sometimes (rare) follows the cursor, although the button
is released

Expected Results:  The window should stay in place

Additional info:
Comment 1 Havoc Pennington 2003-10-04 01:16:06 EDT
I believe this is the same issue as the one in bug #104262 - both would 
essentially be symptoms of metacity not receiving mouse button release events to
match mouse press events.

*** This bug has been marked as a duplicate of 104262 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:58:55 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.